:root {
    --banner-transition: 0.5s;
    --banner-base-color: #fff;
    --banner-hover-color: #92bdc1;
}

.main-banner {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    background-color: #000;
    overflow: hidden;
}

.main-banner__all {
    position: relative;
    width: 1060px;
    height: 620px;
}

.main-banner__business-lines {
    position: absolute;
    top: 20px;
    left: 20px;
}

.main-banner__business-lines svg {
    width: 500px;
    height: auto;
}

.main-banner>video {
    position: absolute;
    top: 0;
    left: 0;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
}

.main-banner__icon-link {
    z-index: 20;
    position: absolute;
}

.main-banner__icon-link svg path {
    fill: var(--banner-base-color);
    transition: fill var(--banner-transition);
}

.main-banner__icon-link:hover svg path {
    fill: var(--banner-hover-color);
}

.main-banner__icon-link_1 {
    top: 137px;
    left: 63px;
}

.main-banner__icon-link_2 {
    top: 334px;
    left: 63px;
}

.main-banner__icon-link_3 {
    top: 41px;
    left: 255px;
}

.main-banner__icon-link_4 {
    top: 235px;
    left: 224px;
}

.main-banner__icon-link_5 {
    top: 429px;
    left: 255px;
}

.main-banner__icon-link_6 {
    top: 41px;
    left: 669px;
}

.main-banner__icon-link_7 {
    top: 235px;
    left: 698px;
}

.main-banner__icon-link_8 {
    top: 429px;
    left: 669px;
}

.main-banner__icon-link_9 {
    top: 137px;
    left: 860px;
}

.main-banner__icon-link_10 {
    top: 334px;
    left: 859px;
}

.main-banner__header {
    z-index: 20;
    position: absolute;
    top: 44px;
    left: 438px;
}

.main-banner__text {
    z-index: 20;
    position: absolute;
}

.main-banner__text svg path {
    fill: var(--banner-base-color);
    transition: fill var(--banner-transition);
}

.main-banner__text:hover svg path {
    fill: var(--banner-hover-color);
}

.main-banner__text_active svg path {
    fill: var(--banner-hover-color);
}

.main-banner__text_1 {
    top: 84px;
    left: 456px;
}

.main-banner__text_2 {
    top: 122px;
    left: 472px;
}

.main-banner__text_3 {
    top: 176px;
    left: 472px;
}

.main-banner__text_4 {
    top: 230px;
    left: 472px;
}

.main-banner__text_5 {
    top: 284px;
    left: 478px;
}

.main-banner__text_6 {
    top: 335px;
    left: 510px;
}

.main-banner__text_7 {
    top: 372px;
    left: 510px;
}

.main-banner__text_8 {
    top: 407px;
    left: 488px;
}

.main-banner__text_9 {
    top: 443px;
    left: 473px;
}

.main-banner__text_10 {
    top: 496px;
    left: 466px;
}

.main-banner__text_11 {
    top: 529px;
    left: 467px;
}

.main-banner__text_12 {
    top: 564px;
    left: 499px;
}

.main-banner__hint {
    z-index: 10;
    position: absolute;
    opacity: 0;
    transition: opacity var(--banner-transition);
}

.main-banner__hint_visible {
    opacity: 1;
}

.main-banner__hint svg path {
    fill: var(--banner-hover-color);
}

.main-banner__hint_1 {
    top: 125px;
    left: 23px;
}

.main-banner__hint_2 {
    top: 324px;
    left: 29px;
}

.main-banner__hint_3 {
    top: 37px;
    left: 197px;
}

.main-banner__hint_4 {
    top: 221px;
    left: 306px;
}

.main-banner__hint_5 {
    top: 575px;
    left: 190px;
}

.main-banner__hint_6 {
    top: 32px;
    left: 767px;
}

.main-banner__hint_7 {
    top: 224px;
    left: 691px;
}

.main-banner__hint_8 {
    top: 569px;
    left: 772px;
}

.main-banner__hint_9 {
    top: 126px;
    left: 952px;
}

.main-banner__hint_10 {
    top: 328px;
    left: 955px;
}

.main-banner__lines {
    z-index: 10;
    position: absolute;
    display: block;
    width: 0;
    overflow: hidden;
}

.main-banner__lines_1 {
    top: 107px;
    left: 197px;
}

.main-banner__lines_2 {
    top: 106px;
    left: 199px;
}

.main-banner__lines_3 {
    top: 106px;
    left: 388px;
}

.main-banner__lines_4 {
    top: 107px;
    left: 360px;
}

.main-banner__lines_5 {
    top: 107px;
    left: 390px;
}

.main-banner__lines_6 {
    top: 106px;
    left: 435px;
}

.main-banner__lines_7 {
    top: 106px;
    left: 436px;
}

.main-banner__lines_8 {
    top: 106px;
    left: 436px;
}

.main-banner__lines_9 {
    top: 106px;
    left: 437px;
}

.main-banner__lines_10 {
    top: 106px;
    left: 436px;
}